{% load compress %}
{% load staticfiles %}

<!doctype html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->
<head>
  <meta charset="utf-8">

  <!-- Use the .htaccess and remove these lines to avoid edge case issues.
       More info: h5bp.com/i/378 -->
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

  <title>{% block page_title %}{{ _("Your Site") }}{% endblock %}</title>
  <meta name="description" content="{% block meta_description %}{% endblock %}">
  <meta name="author" content="{% block meta_author %}{% endblock %}">

  <!-- Mobile viewport optimized: h5bp.com/viewport -->
  <meta name="viewport" content="width=device-width">

  {% block meta %}
  {% endblock %}

  {% compress css %}
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  <link rel="stylesheet" href="{% static 'css/app.css' %}">
  {% block css %}{% endblock %}
  {% endcompress %}
  <!-- More ideas for your <head> here: h5bp.com/d/head-Tips -->

  <!-- All JavaScript at the bottom, except this Modernizr build.
       Modernizr enables HTML5 elements & feature detects for optimal performance.
       Create your own custom Modernizr build: www.modernizr.com/download/ -->
  {% compress js %}
  <script src="{% static 'js/libs/modernizr-2.6.2-respond-1.1.0.min.js' %}"></script>
  {% endcompress %}
</head>
<body class="{% block body_class %}{% endblock %}" {% block body_attributes %}{% endblock %}>
{% block body %}
  <!-- Prompt IE 6 users to install Chrome Frame. Remove this if you support IE 6.
       chromium.org/developers/how-tos/chrome-frame-getting-started -->
  <!--[if lt IE 7]>
    <p class="chromeframe">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> or <a href="http://www.google.com/chromeframe/?redirect=true">activate Google Chrome Frame</a> to improve your experience.</p>
  <![endif]-->
  <header>
    <div class="navbar navbar-inverse navbar-fixed-top" role="navigation">
      <div class="container">
        <div class="navbar-header">
          <a class="navbar-brand" href="/">MovieX</a>
        </div>
      </div>
    </div>
  </header>

  <div role="main">
    <div class="moviex-searchbox">
      <div class="container">
        <div class="row">
          <div class="col-md-6 col-md-offset-3 text-center">
            <h2>Looking for a movie?</h2>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6 col-md-offset-3 text-center">        
            <form method="POST" action="/" class="form-inline" role="form">
              {% csrf_token %}
              <div class="form-group">
                {% if searchtext %}
                  <input name="searchtext" type="search" class="form-control" placeholder="Search for a movie..." value="{{ searchtext }}">
                {% else %}
                  <input name="searchtext" type="search" class="form-control" placeholder="Search for a movie...">
                {% endif %}
                <button type="submit" class="btn btn-default btn-sm">Search</button>            
              </div>
            </form>          
          </div>
        </div>        
      </div>
    </div>

    {% block content %}{% endblock %}
  </div>

  <footer>
    {% block footer %}
    <div class="container">
      <hr>
      <p>&copy; MovieX 2014 - Movie data and images provided by: <img src="http://www.themoviedb.org/images/logos/tmdb-logo-1.png" width="120"/></p>
    </div>
    {% endblock footer %}
  </footer>


  <!-- JavaScript at the bottom for fast page loading -->

  <!-- Grab Google CDN's jQuery, with a protocol relative URL; fall back to local if offline -->
  {% block cdn_js %}
  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
  <script>window.jQuery || document.write('<script src="{{ STATIC_URL }}js/libs/jquery-1.9.1.min.js"><\/script>')</script>
  <script src="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.0.2/js/bootstrap.min.js"></script>
  {% endblock cdn_js %}

  <!-- scripts concatenated and minified via django-compressor -->
  {% compress js %}
  {% block js %}
  <script src="{% static 'js/main.js' %}"></script>
  {% endblock js %}
  {% endcompress %}
  <!-- end scripts -->

  <!-- Asynchronous Google Analytics snippet. Change UA-XXXXX-X to be your site's ID.
       mathiasbynens.be/notes/async-analytics-snippet -->
  <script>
    var _gaq=[['_setAccount','UA-XXXXX-X'],['_trackPageview']];
    (function(d,t){var g=d.createElement(t),s=d.getElementsByTagName(t)[0];
    g.src=('https:'==location.protocol?'//ssl':'//www')+'.google-analytics.com/ga.js';
    s.parentNode.insertBefore(g,s)}(document,'script'));
  </script>
{% endblock %}
</body>
</html>
